DARKTABLE-CLI(1)

NOM
darktable-cli - une version de darktable en ligne de commande

SYNOPSIS
    darktable-cli IMG_1234.{RAW,...} [<fichier xmp>] <fichier de sortie> [options] [--core <options de darktable>]

Options :

    --width <max width>
    --height <max height>
    --bpp <bpp>
    --hq <0|1|true|false>
    --upscale <0|1|true|false>
    --style <style name>
    --overwrite
    --verbose

DESCRIPTION
darktable est une application fournissant un flux de travail pour le traitement des photos numériques sous Linux, Mac OS X et plusieurs autres Unix. Il est décrit plus loin dans darktable(1)

darktable-cli est une version en ligne de commande utilisée pour exporter des images étant donnés le fichier RAW et le fichier lié XMP.

OPTIONS
L'utilisateur doit fournir un nom de fichier d'entrée et un nom de fichier de sortie. Tous les autres paramètres sont optionnels.

<fichier d'entrée>
    Le nom du fichier à exporter.

<fichier XMP>
    Le nom optionnel d'un fichier lié XMP contenant les données de la pile de l'historique devant être appliquées lors de l'exportation. Si cette option n'est pas donnée darktable recherchera un fichier XMP en relation avec le fichier d'entrée.

<fichier de sortie>
    Le nom du fichier de sortie. darktable déduit le format d'exportation à partir de l'extension du fichier. Dans le nom de fichier de sortie vous pouvez aussi utiliser toutes les variables disponibles dans le module exportation de darktable.

--width <largeur maximale>
    Ce paramètre optionnel permet de limiter la largeur de l'image exportée à ce nombre de pixels.

--height <hauteur maximale>
    Ce paramètre optionnel permet de limiter la hauteur de l'image exportée à ce nombre de pixels.

--bpp <bpp>
    Un paramètre optionnel pour définir la profondeur de bits de l'image exportée ; les valeurs autorisées dépendent du format de fichier. Actuellement cette option n'est pas encore fonctionnelle. Si vous avez besoin de définir la profondeur de bits, vous devez utiliser la solution suivante :

        --core --conf plugins/imageio/format/<FORMAT>/bpp=<VALEUR>

    où <FORMAT> est le nom du format de sortie choisi, par exemple png

--hq <0|1|true|false>
    Un drapeau qui indique s'il faut utiliser le ré-échantillonnage de haute qualité lors l'exportation. true par défaut.

--upscale <0|1|true|false>
    Un drapeau qui indique si l'agrandissement est autorisé lors de l'exportation. false par défaut.

--style <style name>
    Specify the name of a style to be applied during export. If a style is specified, the path to the darktable configuration directory must also be specified (i.e. --core --configdir ~/.config/darktable). Defaults to no style specified.

--overwrite
    The specified style overwrites the history stack instead of being appended to it.

--verbose
    Autoriser la sortie détaillée.

--core <options de darktable>
    Toutes les paramètres de la ligne de commande suivant --core sont passés au noyau de darktable et manipulés comme des paramètres standard. Voyez darktable(1) pour une description détaillée des ces options.

VOIR AUSSI
darktable(1)

AUTEURS
Le principal développeur de darktable est Johannes Hanika. La liste, on l'espère complète, des contributeurs du projet est :

* developers: Roman Lebedev, Pascal Obry, Tobias Ellinghaus, Stefan Schöfegger, Peter Budai, Ulrich Pegelow, johannes hanika, parafin, Alexandre Prokoudine, Aldric Renaudin, Edouard Gomez. * translators: Pascal Obry, Ger Siemerink, Tobias Ellinghaus, Maurizio Paglia, Timur I. Davletshin, Alexandre Prokoudine, mepi0011, Báthory Péter, Jeronimo Pellegrini, Matjaž Jeran, shlomi braitbart, Aurélien PIERRE, Heiko Bauke, Josep V. Moragues, Marko Vertainen, Michel Leblond, Milan Knížek, Novy Sawai, Ragnar Wisløff, Tomasz Golinski. * contributors (at least 4 commits): Aurélien PIERRE, rawfiner, edgardoh, Dan Torop, Ger Siemerink, Matthieu Moy, Maurizio Paglia, Andreas Schneider, Heiko Bauke, Rikard Öxler, Timur I. Davletshin, Benoit Brummer, Philippe Weyland, grand-piano, luzpaz, Mario Lueder, Robert Bridge, mepi0011. * RawSpeed contributors (at least 1 commit): Stefan Löffler, Stefan Hoffmeister, parafin, Robert Bieber, Tobias Ellinghaus, Matthieu Volat, Shita Yuuma, Stefan Schöfegger, luz.paz. And all those of you that made previous releases possible

Ce manpage a été écrit par Richard Levitte <richard@levitte.org>. Des compléments ont été ajoutés par Tobias Ellinghaus <me@houz.org>.

COPYRIGHT ET LICENCE
Copyright (C) 2009-2017 par les Auteurs.

darktable est un logiciel libre ; vous pouvez le redistribuer ou le modifier selon les termes de la GPL v3 ou, à votre choix, selon les termes de toute autre version ultérieure.